%bcond_with tests

Name:       osslsigncode
Version:    2.7
Release:    2%{?dist}
Summary:    OpenSSL based Authenticode signing for PE/MSI/Java CAB files

License:    GPLv3+
URL:        https://github.com/mtrojnar/osslsigncode
Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz


BuildRequires: coreutils
BuildRequires: gcc
BuildRequires: cmake >= 3.17
BuildRequires: sed

BuildRequires: pkgconfig(libcrypto) >= 1.1.0
BuildRequires: pkgconfig(libcurl) >= 7.12.0
BuildRequires: pkgconfig(openssl) >= 1.1.0
BuildRequires: pkgconfig(zlib)

%if %{with tests}
BuildRequires: gcab
BuildRequires: java-1.8.0-openjdk-headless
BuildRequires: libfaketime
BuildRequires: mingw64-gcc
BuildRequires: msitools
BuildRequires: openssl >= 1.1.0
BuildRequires: vim-common
%endif

%description
osslsigncode is a small tool that implements part of the functionality of the
Microsoft tool signtool.exe - more exactly the Authenticode signing and
timestamping. But osslsigncode is based on OpenSSL and cURL, and thus should
be able to compile on most platforms where these exist.


%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%check
%if %{with tests}
%ctest
%endif


%files
%license LICENSE.txt COPYING.txt
%doc README.md NEWS.md TODO.md
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/*.bash
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions


%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7-1
- initial build
